1. Alerts
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Alerts

Show

Developing
GET
http://127.0.0.1:8000/api/alerts/1
Retrieves the details of a specific alert by its ID.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/alerts/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "message": "Alert found successfully",
    "data": {
        "id": 1,
        "security_event": "multiple_failed_logins",
        "title": "Brute Force Detected",
        "description": "Suspicious multiple login attempts.",
        "status": "pending"
    }
}
Modified at 2026-06-19 14:42:53
Previous
Index
Next
Create
Built with